<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.example.leudaemialikeme"
    android:networkSecurityConfig="@xml/network_security_config"
    android:usesCleartextTraffic="true"
    tools:targetApi="n">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <application
        android:name="org.litepal.LitePalApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.LeudaemiaLikeMe">
        <activity android:name=".Activity.RegisterActivity"></activity>
        <activity android:name=".Activity.AddEventActivity" />
        <activity android:name=".Activity.MyInfoActivity"></activity>
        <activity android:name=".Activity.AddClock" />
        <activity android:name=".Activity.AlarmAlert" />
        <activity android:name=".ClockDetail" />
        <activity android:name=".Activity.AnswerActivity" />
        <activity android:name=".Activity.QuestionDetailActivity" />
        <activity android:name=".Activity.BlogDetailActivity"/>
        <activity android:name=".Activity.BlogSearchResultActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            ></activity>
        <activity
            android:name=".Activity.BlogSearchActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />

        <meta-data
            android:name="com.google.android.actions"
            android:resource="@xml/network_security_config" />

        <activity
            android:name=".Activity.BaseActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />
        <activity
            android:name=".Activity.MainActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            >
        </activity>
        <activity
            android:name=".Activity.ChatActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />
        <activity android:name=".Activity.AttentionActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />
        <activity android:name=".Activity.HistoryActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />
        <activity android:name=".Activity.CollectActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />
        <activity android:name=".Activity.SafetyActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar"
            />
        <activity android:name=".Activity.AboutActivity" />
        <activity android:name=".Activity.MyQuestionActivity" />
        <activity android:name=".Activity.ConcernedProblemActivity" />
        <activity android:name=".Activity.MdctRmdActivity" />
        <activity android:name=".Activity.SearchActivity" />
        <activity android:name=".Activity.InfoActivity" />
        <activity android:name=".Activity.SendInvitationActivity" />
        <activity android:name=".Activity.GoAnswerActivity" />
        <activity android:name=".Activity.SendQuestionActivity" />
        <activity android:name=".Activity.APNActivity" />
        <activity android:name=".Activity.EventActivity" />

        <receiver
            android:name=".CallAlarm"
            android:process=".remote" />

        <activity android:name=".Activity.LoginActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>